<?php
require SYSPATH.'classes/rise'.EXT;
spl_autoload_register(array('Rise', 'auto_load'));
ini_set('unserialize_callback_func', 'spl_autoload_call');
I18n::lang('en-us');
Rise::init();
Rise::$config->attach(new Config_File);

Rise::modules(array(
    'dune_lib'  => MODPATH.'dune_lib',
    'dune'      => MODPATH.'dune',
    'folder'        => MODPATH.'folder',
));

//Stb_Auth::loadTokenFromFile();

DefaultDunePluginFw::$plugin_class_name = "Controller";
DunePluginFw::$instance = new DefaultDunePluginFw();

////////////////////////////////////////////////////////////////////////////////


function get_time_zone(){

    /**
        GMT+03:00
     */
    $contents = file_get_contents("/etc/TZ");
    $gmt = explode(':', substr($contents, 3));
    $offset = -1*((int)$gmt[0]*3600 + (int)$gmt[1]*60);
    return $offset;
}

/**
 * Коды ошибок.
 * Находятся в ответе сервера
 * {
 *     "code": "<request_code>"
 * }
 */
define("REQUEST_CODE_UNKNOWN",                  0);
define("REQUEST_CODE_OK",                       1);
define("REQUEST_CODE_NOT_ENOUGH_AUTH_DATA",     2);
define("REQUEST_CODE_USER_NOT_FOUND",           3);
define("REQUEST_CODE_USER_NOT_ACTIVE",          4);
define("REQUEST_CODE_WRONG_PASSWORD",           5);
define("REQUEST_CODE_NOT_PROVIDED_MODEL_OR_SN", 6);
define("REQUEST_CODE_DEVICE_NOT_FOUND",         7);
define('REQUEST_CODE_WRONG_ADULT_PASSWORD',     8); // Wrong adult password (неверный пароль для закрытого канала)
define('REQUEST_CODE_PLUGIN_DISABLED',          9); // Plugin disabled (Запуск плагина запрещен)
define('REQUEST_CODE_SEARCH_STRING_IS_TOO_BIG', 10); // Search streeng is too short (Слишком короткое имя фильма)
define('REQUEST_CODE_TOKEN_EXPIRED', 12);