<?php
/**
 * Created By       : Sergey Jdanuk aka Shadoof <jdanuk at gmail.com>
 * Created Date     : 22.01.13 18:23
 *
 * Description      :
 *
 * History          :
 *
 * File name        : plugin.php
 */
class Plugin {
	static function vodSeriesInfo($name, $media_url,
	                              $playback_url_is_stream_url = FALSE){
		return array(
			PluginVodSeriesInfo::name                       => $name,
			PluginVodSeriesInfo::playback_url               => $media_url,
			PluginVodSeriesInfo::playback_url_is_stream_url =>
			$playback_url_is_stream_url,
		);
	}

	static function tvGroup($id, $caption, $icon_url = NULL){
		return array
		(
			PluginTvGroup::id       => $id,
			PluginTvGroup::caption  => $caption,
			PluginTvGroup::icon_url => $icon_url,
		);
	}

	static function GuiControlDef($kind, $name, $title){
		return array(
			GuiControlDef::kind     => $kind,
			GuiControlDef::name     => $name,
			GuiControlDef::title    => (string)$title,
			GuiControlDef::specific_def => null,
		);
	}
}